AllOf (JUnit API)
Keywords: org.hamcrest.core.AllOf class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.core
Class AllOf<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.core.AllOf<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class AllOf<T>

extends BaseMatcher<T>

Calculates the logical conjunction of two matchers. Evaluation is shortcut, so that the second matcher is not called if the first matcher returns `false`.

Constructor Summary
`AllOf(Iterable<Matcher<? extends T>> matchers)`

Method Summary
`static
`<T> Matcher<T>`
` | `allOf(Iterable<Matcher<? extends T>> matchers)` Evaluates to true only if ALL of the passed in matchers evaluate to true.
`static
`<T> Matcher<T>`
` | `allOf(Matcher<? extends T>... matchers)` Evaluates to true only if ALL of the passed in matchers evaluate to true.
`void` | `describeTo(Description description)` Generates a description of the object.
`boolean` | `matches(Object o)` Evaluates the matcher for argument item.

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllOf

    public AllOf(Iterable<Matcher<? extends T>> matchers)

Method Detail

### matches

    public boolean matches(Object o)

  Description copied from interface: `Matcher`
  Evaluates the matcher for argument item.

  This method matches against Object, instead of the generic type T. This is because the caller of the Matcher does not know at runtime what the type is (because of type erasure with Java generics). It is down to the implementations to check the correct type.

  Parameters:
    `o` - the object against which the matcher is evaluated.
  Returns:
    `true` if item matches, otherwise `false`.
  See Also:
    `BaseMatcher`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### allOf

    public static <T> Matcher<T> allOf(Matcher<? extends T>... matchers)

  Evaluates to true only if ALL of the passed in matchers evaluate to true.

### allOf

    public static <T> Matcher<T> allOf(Iterable<Matcher<? extends T>> matchers)

  Evaluates to true only if ALL of the passed in matchers evaluate to true.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD